﻿.persianDatePicker {
    margin: 0;
    float: right;
    position: relative;
    width: 100%;
}

    .persianDatePicker .text {
        float: right;
        margin: 0;
        width: 100%;
        padding: 0 1px 0 0;
    }

    .persianDatePicker span input[type="text"] {
        width: 100%;
        background-color: #FFFFFF;
        border: 1px solid #CCCCCC;
        border-radius: 4px;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
        color: #555555;
        display: block;
        font-size: 14px;
        height: 34px;
        line-height: 1.42857;
        padding: 6px 12px;
        transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
        vertical-align: middle;
        text-align: right;
    }

    .persianDatePicker .datepicker-days a:hover {
        color: #249fc6;
    }

    /*.persianDatePicker .tuner {
        margin-top: 40px;
    }*/

    .persianDatePicker .verbatim {
        color: #006dcc;
        text-align: center;
        line-height: 30px;
    }

    .persianDatePicker .tuner div {
        margin: auto;
        direction: ltr;
        text-align: center;
    }

    .persianDatePicker .analog {
        float: right;
        padding: 0;
    }

    .persianDatePicker .digital {
        float: right;
        padding: 0;
    }

    .persianDatePicker .tuner input {
        width: 45px;
        height: 22px;
        border: 1px solid #bbbbbb;
        display: inline-block;
        vertical-align: middle;
        margin-left: 5px;
        margin-right: 5px;
        padding: 0 2px 0 0;
        border-radius: 3px;
    }

    .persianDatePicker .calendar.drawer {
        margin: 5px -22px 0 0;
        vertical-align: middle;
        float: right;
    }

    .persianDatePicker .calendar.time_drawer {
        margin: 5px -38px 0 0;
        vertical-align: middle;
        float: right;
    }

    .persianDatePicker .drawer.calendar a {
        display: block;
        height: 100%;
    }

    .persianDatePicker .bootstrap-timepicker-widget canvas {
        width: 160px;
        height: 160px;
    }

    .persianDatePicker .bootstrap-datepicker-widget, .persianDatePicker .bootstrap-timepicker-widget {
        position: absolute;
        display: block;
        /*left: 20px;*/
        z-index: 5001;
        /*padding: 2px;*/
        border-radius: 4px;
        width: 100%;
        margin-top: 5px;
    }





    .persianDatePicker .bootstrap-timepicker-widget {
        top: 30px;
        max-width: 165px;
    }

    .persianDatePicker .bootstrap-datepicker-widget {
        top: 30px;
        max-width: 200px;
    }

    .persianDatePicker .calendarTop {
        /*bottom: 30px;*/
        top: 30px;
        margin-bottom: 10px;
    }


    .persianDatePicker .holiday {
        color: #ff3377;
    }

    .persianDatePicker .selectedHoliday {
        color: #eeccbb;
        font-weight: bold;
        background-color: #60b0ff;
    }

    .persianDatePicker .nextImage {
        width: 14px;
        height: 16px;
        float: right;
        vertical-align: middle;
        margin: 4px;
        background: url('../../images/icon.png') no-repeat scroll !important;
        background-position: 0 -128px !important;
    }

    .persianDatePicker .prevImage {
        width: 16px;
        height: 16px;
        float: left;
        vertical-align: middle;
        margin: 4px;
        background: url('../../images/icon.png') no-repeat scroll !important;
        background-position: 0 -145px !important;
    }

.calendar.timePicker {
    margin: -1px 161px;
}

.calendar .read_number {
}

/*me*/
.clearfix {
    *zoom: 1;
}

    .clearfix:before, .clearfix:after {
        display: table;
        content: "";
        line-height: 0;
    }

    .clearfix:after {
        clear: both;
    }

.hide-text {
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.input-block-level {
    display: block;
    width: 100%;
    min-height: 30px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.bootstrap-datepicker-widget, .bootstrap-timepicker-widget {
    top: 0;
    left: 0;
    width: 250px;
    padding: 4px;
    margin-top: 1px;
    z-index: 3000;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

    .bootstrap-datepicker-widget:before, .bootstrap-timepicker-widget:before {
        content: '';
        display: inline-block;
        border-left: 7px solid transparent;
        border-right: 7px solid transparent;
        border-bottom: 7px solid #ccc;
        border-bottom-color: rgba(0,0,0,0.2);
        position: absolute;
        top: -7px;
        left: 6px;
    }

    .bootstrap-datepicker-widget:after, .bootstrap-timepicker-widget:before {
        content: '';
        display: inline-block;
        border-left: 6px solid transparent;
        border-right: 6px solid transparent;
        /*border-bottom: 6px solid #fff;*/
        position: absolute;
        top: -6px;
        left: 7px;
    }

    .bootstrap-datepicker-widget.pull-right:before, .bootstrap-timepicker-widget.pull-right:before {
        left: auto;
        right: 6px;
    }



    .bootstrap-datepicker-widget.pull-right:after, .bootstrap-timepicker-widget.pull-right:after {
        left: auto;
        right: 7px;
    }

    .bootstrap-datepicker-widget > ul {
        list-style-type: none;
        margin: 0;
    }

    .bootstrap-datepicker-widget table[data-hour-format="12"] .separator {
        width: 4px;
        padding: 0;
        margin: 0;
    }

    .bootstrap-datepicker-widget a {
        display: block;
        text-decoration: none;
    }

    .bootstrap-datepicker-widget td:hover {
        background: #eee;
        cursor: pointer;
    }

    .bootstrap-datepicker-widget .datepicker > div {
        /*display: none;*/
    }

    .bootstrap-datepicker-widget .picker-switch {
        text-align: center;
    }

    .bootstrap-datepicker-widget table {
        width: 100%;
        margin: 0;
    }

    .bootstrap-datepicker-widget td, .bootstrap-datepicker-widget th {
        text-align: center;
        width: 20px;
        height: 20px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border-radius: 4px;
    }

    .bootstrap-datepicker-widget .active a {
        color: white;
    }



    .bootstrap-datepicker-widget td.old, .bootstrap-datepicker-widget td.new {
        color: #999;
    }

    .bootstrap-datepicker-widget td.active, .bootstrap-datepicker-widget td.active:hover {
        color: #fff;
        background-color: #006dcc;
        background-image: -moz-linear-gradient(top,#08c,#04c);
        background-image: -webkit-gradient(linear,0 0,0 100%,from(#08c),to(#04c));
        background-image: -webkit-linear-gradient(top,#08c,#04c);
        background-image: -o-linear-gradient(top,#08c,#04c);
        background-image: linear-gradient(to bottom,#08c,#04c);
        background-repeat: repeat-x;
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc',endColorstr='#ff0044cc',GradientType=0);
        border-color: #04c #04c #002a80;
        border-color: rgba(0,0,0,0.1) rgba(0,0,0,0.1) rgba(0,0,0,0.25);
        *background-color: #04c;
        filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
        color: #fff;
        text-shadow: 0 -1px 0 rgba(0,0,0,0.25);
    }

        .bootstrap-datepicker-widget td.active:hover, .bootstrap-datepicker-widget td.active:hover:hover, .bootstrap-datepicker-widget td.active:active, .bootstrap-datepicker-widget td.active:hover:active, .bootstrap-datepicker-widget td.active.active, .bootstrap-datepicker-widget td.active:hover.active, .bootstrap-datepicker-widget td.active.disabled, .bootstrap-datepicker-widget td.active:hover.disabled, .bootstrap-datepicker-widget td.active[disabled], .bootstrap-datepicker-widget td.active:hover[disabled] {
            color: #fff;
            background-color: #04c;
            *background-color: #003bb3;
        }

            .bootstrap-datepicker-widget td.active:active, .bootstrap-datepicker-widget td.active:hover:active, .bootstrap-datepicker-widget td.active.active, .bootstrap-datepicker-widget td.active:hover.active {
                background-color: #039;
            }

    .bootstrap-datepicker-widget td.disabled, .bootstrap-datepicker-widget td.disabled:hover {
        background: 0;
        color: #999;
        cursor: not-allowed;
    }

    .bootstrap-datepicker-widget td span {
        display: block;
        width: 47px;
        height: 54px;
        line-height: 54px;
        float: left;
        margin: 2px;
        cursor: pointer;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        border-radius: 4px;
    }

        .bootstrap-datepicker-widget td span:hover {
            background: #eee;
        }

        .bootstrap-datepicker-widget td span.active {
            color: #fff;
            background-color: #006dcc;
            background-image: -moz-linear-gradient(top,#08c,#04c);
            background-image: -webkit-gradient(linear,0 0,0 100%,from(#08c),to(#04c));
            background-image: -webkit-linear-gradient(top,#08c,#04c);
            background-image: -o-linear-gradient(top,#08c,#04c);
            background-image: linear-gradient(to bottom,#08c,#04c);
            background-repeat: repeat-x;
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc',endColorstr='#ff0044cc',GradientType=0);
            border-color: #04c #04c #002a80;
            border-color: rgba(0,0,0,0.1) rgba(0,0,0,0.1) rgba(0,0,0,0.25);
            *background-color: #04c;
            filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
            color: #fff;
            text-shadow: 0 -1px 0 rgba(0,0,0,0.25);
        }

            .bootstrap-datepicker-widget td span.active:hover, .bootstrap-datepicker-widget td span.active:active, .bootstrap-datepicker-widget td span.active.active, .bootstrap-datepicker-widget td span.active.disabled, .bootstrap-datepicker-widget td span.active[disabled] {
                color: #fff;
                background-color: #04c;
                *background-color: #003bb3;
            }

            .bootstrap-datepicker-widget td span.active:active, .bootstrap-datepicker-widget td span.active.active {
                background-color: #039;
            }

        .bootstrap-datepicker-widget td span.old {
            color: #999;
        }

        .bootstrap-datepicker-widget td span.disabled, .bootstrap-datepicker-widget td span.disabled:hover {
            background: 0;
            color: #999;
            cursor: not-allowed;
        }

    .bootstrap-datepicker-widget th.switch {
        padding: 5px;
        display: table-cell;
    }

    .bootstrap-datepicker-widget th.next, .bootstrap-datepicker-widget th.prev {
        font-size: 21px;
    }

    .bootstrap-datepicker-widget th.disabled, .bootstrap-datepicker-widget th.disabled:hover {
        background: 0;
        color: #999;
        cursor: not-allowed;
    }

    .bootstrap-datepicker-widget thead tr:first-child th {
        cursor: pointer;
    }

        .bootstrap-datepicker-widget thead tr:first-child th:hover {
            background: #eee;
        }

.input-append.date .add-on i, .input-prepend.date .add-on i {
    display: block;
    cursor: pointer;
    width: 16px;
    height: 16px;
}

.bootstrap-datepicker-widget.left-oriented:before {
    left: auto;
    right: 6px;
}

.bootstrap-datepicker-widget.left-oriented:after {
    left: auto;
    right: 7px;
}
